<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Análisis crediticio</h3>

        <div class="row" style="text-align:left">
            <div class="col-md-3">
                <label class="switch">
                    <input type="checkbox" id="changeStatus" (change)="changeStatus('terminos')">
                    <span class="slider round"></span>
                </label>
            </div>
            <div class="col-md-9">
                <label class="text-input-acepto">Acepto <span style="cursor: pointer;">
                        <strong (click)="open(content,'terminos')"> <u>términos y condiciones </u></strong>
                    </span> y cláusulas
                    de medios electrónicos tales como NIP</label>
            </div>
        </div>

        <div class="row" style="text-align:left">
            <div class="col-md-3">
                <label class="switch">
                    <input type="checkbox" id="inputHistory" (change)="changeStatus('history')">
                    <span class="slider round"></span>
                </label>
            </div>
            <div class="col-md-9">
                <label class="text-input-acepto">Autorizo mediante NIP la consulta a mi
                    <span style="cursor: pointer;">
                        <strong (click)="open(content,'historial')"> <u>historial crediticio </u></strong>
                    </span> a favor de Mercadotecnia Ideas y Tecnología S.A. de C.V.</label>
            </div>
        </div>

        <ng-template #content let-c="close" let-d="dismiss">
            <div class="modal-header">
                <h4 class="modal-title" id="modal-basic-title">{{tituloModal}}</h4>
                <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" style="text-align: justify;" [innerHTML]="textoModal">
            </div>
            <div>
                <button *ngIf="tituloModal == 'Términos y Condiciones' " style=" border: 2px solid #070707;   width:100%;" type="button" class="close " aria-label="Close"
                    (click)="d('Cross click')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <br>
        </ng-template>
        <div class="row mt-2">

        </div>

        <div class="row" style="text-align:left">
            <div class="col-md-3">
                <label>
                    <span>NIP</span>
                </label>
            </div>
            <div class="col-md-9">
                <input style="text-align: center; border: 3; border-radius: 25px;" type="text" id="nipInput"
                    value="{{emailCode}}" disabled="true">
            </div>
        </div>

        <div class="row mt-2">

        </div>
        <div>
            <small class=" form-text text-muted" id="smallRecordatorio">Es el mismo NIP que enviamos a tu email</small>
        </div>

        <div>
            <small class=" form-text text-muted" id="errorGeneral" *ngIf="showError">Ocurrió un error, inténtelo de
                nuevo</small>
            <p class="my-3">
                <button type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary"
                    (click)="continue()" id="validarBoton" [style.background-color]="getColorButton()"
                    [disabled]="!flagTerms || !flagHist" [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()">Continuar</button>
            </p>

            <p class="my-3">
                <button id="btnCancelar" type="button" (click)="cancelar()"
                    class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
                    [style.border-color]="getColorButton()" [style.color]="getColorLabel()">Cancelar</button>
            </p>
        </div>
    </div>
</div>